Loading...
Searching...
No Matches
juce::RelativePointPath::ElementBase Class Referenceabstract

## Detailed Description

Base class for the elements that make up a RelativePointPath.

The documentation for this class was generated from the following file:

- juce_gui_basics/positioning/juce_RelativePointPath.h

Inheritance diagram for juce::RelativePointPath::ElementBase:

## Public Member Functions

| ElementBase (ElementType type)
virtual | ~ElementBase ()=default
virtual void | addToPath (Path &path, Expression::Scope *) const =0
virtual RelativePoint * | getControlPoints (int &numPoints)=0
virtual ElementBase * | clone () const =0
bool | isDynamic ()

## Public Attributes

const ElementType | type

## Constructors and Destructors

## ElementBase()

juce::RelativePointPath::ElementBase::ElementBase | ( | ElementType | type | ) |

References type.

Referenced by juce::RelativePointPath::CloseSubPath::clone(), juce::RelativePointPath::CubicTo::clone(), clone(), juce::RelativePointPath::LineTo::clone(), juce::RelativePointPath::QuadraticTo::clone(), and juce::RelativePointPath::StartSubPath::clone().

## ~ElementBase()

virtual juce::RelativePointPath::ElementBase::~ElementBase | ( |  | ) |

virtual default

## Member Functions

## addToPath()

virtual void juce::RelativePointPath::ElementBase::addToPath | ( | Path & | path,
|  | Expression::Scope * | ) const

pure virtual

Implemented in juce::RelativePointPath::CloseSubPath, juce::RelativePointPath::CubicTo, juce::RelativePointPath::LineTo, juce::RelativePointPath::QuadraticTo, and juce::RelativePointPath::StartSubPath.

## getControlPoints()

virtual RelativePoint * juce::RelativePointPath::ElementBase::getControlPoints | ( | int & | numPoints | ) |

pure virtual

Implemented in juce::RelativePointPath::CloseSubPath, juce::RelativePointPath::CubicTo, juce::RelativePointPath::LineTo, juce::RelativePointPath::QuadraticTo, and juce::RelativePointPath::StartSubPath.

## clone()

virtual ElementBase * juce::RelativePointPath::ElementBase::clone | ( |  | ) | const

pure virtual

Implemented in juce::RelativePointPath::CloseSubPath, juce::RelativePointPath::CubicTo, juce::RelativePointPath::LineTo, juce::RelativePointPath::QuadraticTo, and juce::RelativePointPath::StartSubPath.

References ElementBase().

## isDynamic()

bool juce::RelativePointPath::ElementBase::isDynamic | ( |  | ) |

## Member Data Documentation

## type

const ElementType juce::RelativePointPath::ElementBase::type

Referenced by ElementBase().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited